Deactivate Cadence

Purpose

To deactivate a cadence in your Zoho CRM organization.

Endpoints

  • POST /settings/automation/cadences/{cadence_id}/actions/deactivate

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/cadences/{cadence_id}/actions/deactivate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.cadences.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/cadences/5843104000007091001/actions/deactivate"
-X POST
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • ALREADY_DEACTIVATEDHTTP 400
    The cadences is already deactivated.
    Resolution: Specify a cadence ID that is not already deactivated.
  • LIMIT_EXCEEDEDHTTP 400
    • Action configured more than allowed limit.
      Resolution: When Zoho CRM editions are downgraded, the number of allowed actions gets reduced. If your cadence has more actions than the new lower limit, you will get a “LIMIT_EXCEEDED” error when trying to activate it.
    • More than 30 Cadences cannot be activated for module.
      Resolution: Activate not possible as activate or publish limit exceeded per module. Refer to the Cadence section in the Zoho CRM editions comparison page for edition-wise limits.
    • More than 150 Cadences cannot be activated.
      Resolution: Activate not possible as total activate or publish limit is exceeded. Refer to the Cadence section in the Zoho CRM editions comparison page for edition-wise limits.
  • NOT_ALLOWEDHTTP 400
    • Draft cadences cannot be deactivated before publish.
      Resolution: Cadence in draft stage cannot be deactivated. Publish the cadence before trying to deactivate it.
    • Related draft cadences cannot be deactivated.
      Resolution: Cadence in related draft stage cannot be deactivated. A cadence is in related draft stage when an already published cadence has unpublished changes. Publish the cadence before trying to deactivate it.

Sample Response

Copied{
  "cadences": [
    {
      "code": "SUCCESS",
      "details": {
        "id": "5843104000007091001"
      },
      "message": "Cadences deactivated successfully",
      "status": "success"
    }
  ]
}